#ifndef VMLIBCALL_H_
#define VMLIBCALL_H_

typedef void (*vm_libcall_handler_t)(struct vm *machine);

struct vm_libcall {
	const char		*name;
	unsigned int		num;
	vm_libcall_handler_t	handler;
};

ret_t	vm_libcall_load(struct vm *machine, const char *path_to_lib);
ret_t	vm_libcall_unload(struct vm *machine);
ret_t	vm_libcall_register(struct vm_libcall *q);
ret_t	vm_libcall_call_by_num(struct vm *machine, uint32_t num);

#endif /*VMLIBCALL_H_*/
